Package de.geolykt.starloader.deobf

# Class ClassWrapper

java.lang.Object
de.geolykt.starloader.deobf.ClassWrapper

public class ClassWrapper extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ClassWrapper(String name, String superName, String[] superInterfaces, boolean isInterface, ClassWrapperPool pool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Set<String>`
  `getAllImplementatingInterfaces()`
  Obtains all interfaces this class implements.
  `String`
  `getName()`
  `String`
  `getSuper()`
  `String[]`
  `getSuperInterfacesName()`
  `ClassWrapper`
  `getSuperWrapper()`
  `int`
  `hashCode()`
  `boolean`
  `isInterface()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassWrapper

    protected ClassWrapper(String name, String superName, String[] superInterfaces, boolean isInterface, ClassWrapperPool pool)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getAllImplementatingInterfaces

    public Set<String> getAllImplementatingInterfaces()
    Obtains all interfaces this class implements. This includes interfaces superclasses have implemented or super-interfaces of interfaces.

    If this class is an interface, it also includes this class.

    Returns:
      A set of all interfaces implemented by this class or it's supers

  - ### getName

    public String getName()

  - ### getSuper

    public String getSuper()

  - ### getSuperInterfacesName

    public String[] getSuperInterfacesName()

  - ### getSuperWrapper

    public ClassWrapper getSuperWrapper()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isInterface

    public boolean isInterface()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`